---
category: api-reference
---

# CKEditor 5 Easy Image with Cloud Services

[![npm version](https://badge.fury.io/js/%40ckeditor%2Fckeditor5-easy-image.svg)](https://www.npmjs.com/package/@ckeditor/ckeditor5-easy-image)

This package implements the {@link features/easy-image Easy Image} feature for CKEditor 5.

Easy Image lets you easily insert images which are automatically rescaled, optimized, responsive and delivered through a blazing-fast CDN. It integrates automatically with the [CKEditor Cloud Services](https://ckeditor.com/ckeditor-cloud-services/).

## Documentation

See the {@link features/easy-image "Easy Image integration" guide} and the {@link module:easy-image/easyimage~EasyImage plugin documentation} to learn how to enable the integration.

Check out the {@link features/image-upload comprehensive "Image upload" guide} to learn about other ways to upload images into CKEditor 5.

## Installation

```bash
npm install --save @ckeditor/ckeditor5-easy-image
```

## Contribute

The source code of this package is available on GitHub in https://github.com/ckeditor/ckeditor5/tree/master/packages/ckeditor5-easy-image.

## External links

* [`@ckeditor/ckeditor5-easy-image` on npm](https://www.npmjs.com/package/@ckeditor/ckeditor5-easy-image)
* [`ckeditor/ckeditor5-easy-image` on GitHub](https://github.com/ckeditor/ckeditor5/tree/master/packages/ckeditor5-easy-image)
* [Issue tracker](https://github.com/ckeditor/ckeditor5/issues)
* [Changelog](https://github.com/ckeditor/ckeditor5/blob/master/CHANGELOG.md)
